Author: uwe
Date: 2007-09-13 03:20:19 +0200 (Thu, 13 Sep 2007)
New Revision: 36

Added:
   buildrom-devel/skeleton/bin/boot-hdd
Log:
Add missing boot-hdd file to the initramfs skeleton. Required for LAB.

Signed-off-by: Ward Vandewege <[EMAIL PROTECTED]>
Acked-by: Uwe Hermann <[EMAIL PROTECTED]>



Added: buildrom-devel/skeleton/bin/boot-hdd
===================================================================
--- buildrom-devel/skeleton/bin/boot-hdd                                (rev 0)
+++ buildrom-devel/skeleton/bin/boot-hdd        2007-09-13 01:20:19 UTC (rev 36)
@@ -0,0 +1,17 @@
+#!/bin/sh
+
+. /bin/boot.functions
+
+DIR=/hdd/
+
+mkdir $DIR
+mount -oro /dev/sda1 $DIR
+
+if [ $? -eq 0 ]; then
+       doboot $DIR
+       message "ERROR:  Couldn't boot from the hdd."
+       exit 1
+fi
+
+message "ERROR:  Couldn't mount the hdd."
+exit 1


Property changes on: buildrom-devel/skeleton/bin/boot-hdd
___________________________________________________________________
Name: svn:executable
   + *


-- 
linuxbios mailing list
[email protected]
http://www.linuxbios.org/mailman/listinfo/linuxbios

Reply via email to